summaryrefslogtreecommitdiffstats
path: root/sdc-os-chef/sdc-cassandra/startup.sh
diff options
context:
space:
mode:
authorMichael Lando <ml636r@att.com>2017-02-19 10:28:42 +0200
committerMichael Lando <ml636r@att.com>2017-02-19 10:51:01 +0200
commit451a3400b76511393c62a444f588a4ed15f4a549 (patch)
treee4f5873a863d1d3e55618eab48b83262f874719d /sdc-os-chef/sdc-cassandra/startup.sh
parent5abfe4e1fb5fae4bbd5fbc340519f52075aff3ff (diff)
Initial OpenECOMP SDC commit
Change-Id: I0924d5a6ae9cdc161ae17c68d3689a30d10f407b Signed-off-by: Michael Lando <ml636r@att.com>
Diffstat (limited to 'sdc-os-chef/sdc-cassandra/startup.sh')
-rw-r--r--sdc-os-chef/sdc-cassandra/startup.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/sdc-os-chef/sdc-cassandra/startup.sh b/sdc-os-chef/sdc-cassandra/startup.sh
new file mode 100644
index 0000000000..61a5109fa1
--- /dev/null
+++ b/sdc-os-chef/sdc-cassandra/startup.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+cd /root/chef-solo
+export CHEFNAME=${ENVNAME}
+
+sed -i "s/HOSTIP/${HOST_IP}/g" /root/chef-solo/cookbooks/cassandra-actions/recipes/02-createCsUser.rb
+sed -i "s/HOSTIP/${HOST_IP}/g" /root/chef-solo/cookbooks/cassandra-actions/recipes/03-createDoxKeyspace.rb
+sed -i "s/HOSTIP/${HOST_IP}/g" /root/chef-solo/cookbooks/cassandra-actions/recipes/04-schemaCreation.rb
+
+chef-solo -c solo.rb -o recipe[cassandra-actions::01-configureCassandra] -E ${CHEFNAME}
+rc=$?
+
+if [[ $rc != 0 ]]; then exit $rc; fi
+echo "########### starting cassandra ###########"
+# start cassandra
+/docker-entrypoint.sh cassandra -f &
+
+chef-solo -c solo.rb -E ${CHEFNAME}
+
+cd /tmp/
+/tmp/create_cassandra_user.sh
+/tmp/create_dox_keyspace.sh
+/bin/chmod +x sdctool/scripts/*.sh
+./sdctool/scripts/schemaCreation.sh /tmp/sdctool/config
+
+while true; do sleep 2; done
+